jv.loader

## Class PgHtmlLoader

- java.lang.Object
- - jv.loader.PgHtmlLoader

-     public final class PgHtmlLoader
      extends java.lang.Object

  Export filter save geometries as applets in an Html file.

  Additionally, provides functionality for exporting geometries and images for validation and bug reporting.

  Author:
    Konrad Polthier
  Version:
    04.10.06, 1.10 revised (kp) Export of validation information implemented.
    28.10.01, 1.00 created (kp)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgHtmlLoader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PsXmlSrc` | `write(java.lang.String jvxFile, java.lang.String jvdFile, int width, int height)` Write an Html file as XML tree which shows a JVX file in an applet.
    `static boolean` | `write(java.io.Writer writer, java.lang.String jvxFile, java.lang.String jvdFile, int width, int height)` Write an Html file which displays a JVX file in an applet.
    `static PsXmlSrc` | `writeValidate(java.lang.String title, PsAuthorInfo authorInfo, PsGeometryInfo geometryInfo, java.lang.String codeBase, java.lang.String jvxFile, java.lang.String jvdFile, java.lang.String imgFile, int width, int height, java.lang.String jvzFile)` Generate an Html file as XML tree which displays an image, a JavaView applet and a jvLite applet.
    `static boolean` | `writeValidate(java.io.Writer writer, java.lang.String title, PsAuthorInfo authorInfo, PsGeometryInfo geometryInfo, java.lang.String codeBase, java.lang.String jvxFile, java.lang.String jvdFile, java.lang.String imgFile, int width, int height, java.lang.String jvzFile)` Write an Html file which displays an image, a JavaView applet and a jvLite applet.
    `static PsXmlSrc` | `writeValidateDescr(java.lang.String title, PsAuthorInfo authorInfo, PsGeometryInfo geometryInfo, java.lang.String jvxFile, java.lang.String jvdFile, java.lang.String imgFile, int width, int height, java.lang.String jvzFile, boolean bValidate)` Generate an Html file as XML tree which displays an image, a JavaView applet and a jvLite applet.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgHtmlLoader

          public PgHtmlLoader()

  - ### Method Detail

    - #### write

          public static boolean write(java.io.Writer writer,
                                      java.lang.String jvxFile,
                                      java.lang.String jvdFile,
                                      int width,
                                      int height)
                               throws java.io.IOException

      Write an Html file which displays a JVX file in an applet.
      Parameters:
        `jvxFile` - Name of JVX geometry file to be loaded by the applet, without path information.
        `jvdFile` - Name of JVD display file to be loaded by the applet, without path information.
        `width` - width of applet
        `height` - height of applet
      Returns:
        `true` on success.
      Throws:
        `java.io.IOException`
      See Also:
        `write(String, String, int, int)`
      Version:
        01.11.05, 1.10 revised (kp) New methods #writeValidate export HTML file for comparision.
        28.10.01, 1.00 created (kp)

    - #### write

          public static PsXmlSrc write(java.lang.String jvxFile,
                                       java.lang.String jvdFile,
                                       int width,
                                       int height)

      Write an Html file as XML tree which shows a JVX file in an applet. The returned XML tree can be written to a file using PsXmlLoader.
      Parameters:
        `jvxFile` - Name of JVX geometry file to be loaded by the applet, without path information.
        `jvdFile` - Name of JVD display file to be loaded by the applet, without path information.
        `width` - width of applet
        `height` - height of applet
      Returns:
        filled XHTML tree.
      Version:
        03.01.02, 1.10 revised (kp) JavaView archives assumed in subdirectory ./jars.
        28.10.01, 1.00 created (kp)

    - #### writeValidate

          public static boolean writeValidate(java.io.Writer writer,
                                              java.lang.String title,
                                              PsAuthorInfo authorInfo,
                                              PsGeometryInfo geometryInfo,
                                              java.lang.String codeBase,
                                              java.lang.String jvxFile,
                                              java.lang.String jvdFile,
                                              java.lang.String imgFile,
                                              int width,
                                              int height,
                                              java.lang.String jvzFile)
                                       throws java.io.IOException

      Write an Html file which displays an image, a JavaView applet and a jvLite applet. Page allows validation of JavaView with earlier versions when later upgrading the JavaView archives.

      The geometry and image files must be generated elsewhere.

      The writer must store the HTML file relative to the same codebase as the geometry and display files. For example, storing all files in a same subdirectory of the codebase is a good choice.

      Parameters:
        `writer` - Writer writes HTML file relative to codebase.
        `title` - Title of generated HTML page.
        `authorInfo` - Displayed on the HTML file.
        `geometryInfo` - Contains major description information about this HTML page.
        `codeBase` - Codebase for the JavaView archives to be used in the codebase applet tag.
        `jvxFile` - Relative name of JVX geometry file to be loaded by the applet, without path information.
        `jvdFile` - Relative name of JVD display file to be loaded by the applet, without path information.
        `imgFile` - Relative name of preview image.
        `width` - width of applet
        `height` - height of applet
        `jvzFile` - Relative name of JVZ geometry file to be loaded by the applet, without path information.
      Returns:
        `true` on success.
      Throws:
        `java.io.IOException`
      Since:
        JavaView 3.95.006
      Version:
        01.11.05, 1.00 created (kp)

    - #### writeValidate

          public static PsXmlSrc writeValidate(java.lang.String title,
                                               PsAuthorInfo authorInfo,
                                               PsGeometryInfo geometryInfo,
                                               java.lang.String codeBase,
                                               java.lang.String jvxFile,
                                               java.lang.String jvdFile,
                                               java.lang.String imgFile,
                                               int width,
                                               int height,
                                               java.lang.String jvzFile)

      Generate an Html file as XML tree which displays an image, a JavaView applet and a jvLite applet. Page allows validation of JavaView with earlier versions when later upgrading the JavaView archives.

      The geometry and image files must be generated elsewhere.

      The writer must store the HTML file relative to the same codebase as the geometry and display files. For example, storing all files in a same subdirectory of the codebase is a good choice.

      Parameters:
        `title` - Title of generated HTML page.
        `authorInfo` - Displayed on the HTML file.
        `geometryInfo` - Contains major description information about this HTML page.
        `codeBase` - Codebase for the JavaView archives to be used in the codebase applet tag.
        `jvxFile` - Relative name of JVX geometry file to be loaded by the applet, without path information.
        `jvdFile` - Relative name of JVD display file to be loaded by the applet, without path information.
        `imgFile` - Relative name of preview image.
        `width` - width of applet
        `height` - height of applet
        `jvzFile` - Relative name of JVZ geometry file to be loaded by the applet, without path information.
      Returns:
        `true` on success.
      Since:
        JavaView 3.95.006
      Version:
        11.10.06, 1.10 revised (kp) Calculation of day of date corrected, was day+1.
        01.11.05, 1.00 created (kp)

    - #### writeValidateDescr

          public static PsXmlSrc writeValidateDescr(java.lang.String title,
                                                    PsAuthorInfo authorInfo,
                                                    PsGeometryInfo geometryInfo,
                                                    java.lang.String jvxFile,
                                                    java.lang.String jvdFile,
                                                    java.lang.String imgFile,
                                                    int width,
                                                    int height,
                                                    java.lang.String jvzFile,
                                                    boolean bValidate)

      Generate an Html file as XML tree which displays an image, a JavaView applet and a jvLite applet. Page allows validation of JavaView with earlier versions when later upgrading the JavaView archives.

      The geometry and image files must be generated elsewhere.

      The writer must store the HTML file relative to the same codebase as the geometry and display files. For example, storing all files in a same subdirectory of the codebase is a good choice.

      Parameters:
        `title` - Title of generated HTML page.
        `authorInfo` - Displayed on the HTML file.
        `geometryInfo` - Contains major description information about this HTML page.
        `jvxFile` - Relative name of JVX geometry file to be loaded by the applet, without path information.
        `jvdFile` - Relative name of JVD display file to be loaded by the applet, without path information.
        `imgFile` - Relative name of preview image.
        `width` - width of applet
        `height` - height of applet
        `jvzFile` - Relative name of JVZ geometry file to be loaded by the applet, without path information.
        `bValidate` - Determines if validation file or bug report is generated.
      Returns:
        `true` on success.
      Since:
        JavaView 3.97.005
      Version:
        04.10.06, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"